Support » Plugin: CKEditor for WordPress » Latest version not working with WordPress 3.2.1

  • Resolved ranpha

    (@ranpha)


    After I upgraded the plugin to 3.6.1, all I got when trying to make/edit a post/page is a blank editing page like the one in this image.

    Is there any way I can download version 1.0.9 which is the last known working copy?

Viewing 15 replies - 1 through 15 (of 17 total)
  • Same here. Not working in 3.6.1

    reference to undefined property Firebug.viewChrome
    resource://firebug_rjs/js/stackFrame.js
    Line 635

    reference to undefined property a[d]
    http://www.mysite.com/wp-admin/load-scripts.php?c=1&load=jquery,utils,quicktags&ver=21fa3d7e711849451cd426d2d178ee0c
    Line 17

    And firebug displayed 5000 more errors

    Problem solved for me. CKEditor was conflicting with Jetpack’s plugin “After the Deadline”

    Plugin Author michal

    (@michal_cksource)

    @ranpha what theme do you use and what other plugins do you have installed ?
    Do you this Jetpack’s plugin “After the Deadline” about @harrisonhill777 wrote ?
    Please clear you browser cache.
    @ranpha can you check if you have any errors in Firebug console (Firefox add-on) ?

    Clearing cache didn’t work. Theme is ‘Aeros’ from http://thebuckmaker.com/

    Yes I do have Jetpack plugin ‘After The Deadline’ enabled.

    Firebug error (1 error only) – http://i.imgur.com/vlkWu.jpg

    After I disabled ‘After the Deadline’, the plugin works. This isn’t an optimal solution though, because I do use its features.

    Actually, CKEditor for WordPress works with ‘After the Deadline’ enabled, but ONLY in Internet Explorer. So while this is a workaround, I hope it can be fixed in later versions.

    Plugin Author michal

    (@michal_cksource)

    @ranpha can you check in CKEditor’s advanced settings if you have “SCAYT auto startup” and “Enable the built-in spell checker while typing natively available in the browser” checked ? Please also uncheck/disable them and after this test with Jetpack plugin.

    If ‘After the Deadline’ feature is enabled:-

    ‘SCATY Auto Startup’ ON + ‘Enable the built-in spell checker while typing natively available in the browser’ ON = CKEditor for WordPress broke.

    ‘SCATY Auto Startup’ OFF + ‘Enable the built-in spell checker while typing natively available in the browser’ ON = CKEditor for WordPress broke.

    ‘SCATY Auto Startup’ ON + ‘Enable the built-in spell checker while typing natively available in the browser’ Off = CKEditor for WordPress broke.

    ‘SCATY Auto Startup’ OFF + ‘Enable the built-in spell checker while typing natively available in the browser’ OFF = CKEditor for WordPress broke.

    ======

    If ‘After the Deadline’ feature is disabled:-

    ‘SCATY Auto Startup’ ON + ‘Enable the built-in spell checker while typing natively available in the browser’ ON = CKEditor for WordPress works.

    ‘SCATY Auto Startup’ ON + ‘Enable the built-in spell checker while typing natively available in the browser’ OFF = CKEditor for WordPress works.

    ‘SCATY Auto Startup’ OFF + ‘Enable the built-in spell checker while typing natively available in the browser’ ON = CKEditor for WordPress works.

    ‘SCATY Auto Startup’ OFF + ‘Enable the built-in spell checker while typing natively available in the browser’ OFF = CKEditor for WordPress works.

    This happened with Opera 11.50 and Chrome 13 too. Only Internet Explorer 9 will be able to load the CKEditor for WordPress plugin while ‘After The Deadline’ is enabled.

    Plugin Author michal

    (@michal_cksource)

    thx @ranpha about this information.
    We try find some fix for this issue.
    Please be patient.

    Plugin Author michal

    (@michal_cksource)

    Please remember that CKEditor has it’s own build in spell checker. It uses SCAYT (http://www.webspellchecker.net/v3/products/scayt.html). You can turn autostart of SCAYT in advanced options of CKEditor plugin.

    I actually doesn’t use SCAYT anyway (the English vocabulary is too limited), so I have it disabled. That’s why ‘After the Deadline’ can also help things there.

    Plugin Author michal

    (@michal_cksource)

    I added some fix to revision 427067. Please try it.
    This is only fix to work when ‘After the Deadline’ is installed.
    If you wish to add full support for this plugin, please create new ckeditor ticket with tag “ckeditor-for-wordpress-new-feature” (http://wordpress.org/tags/ckeditor-for-wordpress-new-feature)

    Just uploaded version 427071 to the server, and unfortunately the problem still persists if the ‘After The Deadline’ feature is enabled.

    Plugin Author michal

    (@michal_cksource)

    @ranpha can you check in your wordpressDirectory\wp-content\plugins\ckeditor-for-wordpress\includes\ckeditor.utils.js file if there is tinyMCEPreInit variable and if there is addI18n function for tinyMCE ?
    Those functions should be at bottom of mentioned file.
    Which version of ‘After The Deadline’ plugin do you use ?
    Can you check if empty browser cache helps resolve this issue ?

    In Notepad++
    addI18n function at line 325.
    tinyMCEPreInit variable at line 333.

    Plugin Author michal

    (@michal_cksource)

    So it should work fine. I have just checked ‘After The Deadline’ as Jetpack plugin feature (not only ‘After The Deadline’ plugin) and it works fine on my host. Do you still have error(s) in Firebug ? Have you cleared your browser cache ?

Viewing 15 replies - 1 through 15 (of 17 total)
  • The topic ‘Latest version not working with WordPress 3.2.1’ is closed to new replies.